EsounD: The Enlightened Sound Daemon
Prev | Chapter 3. Running EsounD | Next

# 3.3. esdcat, esdmon, esdrec

esdcat plays a raw audio stream through the daemon. esdmon outputs the mixed stream from the daemon. esdrec outputs from the sound device's current input.

esdcat `[options] [file=stdin]`

esdmon `[options] [file=stdout]`

esdrec `[options] [file=stdout]`

option | purpose
--- | ---
-s SERVER | communicate with esound running at SERVER
-b | read/write 8 bit sample data
-m | read/write mono data
-r RATE | use a sampling rate of RATE

NOTE: options for esdcat, esdmon, and esdrec default to 16 bit (signed), stereo, 44.1kHz

Prev | Home | Next
esdctl | Up | esdsample, esdloop